APIs
Fields
Integrations
Subdomain finder
A Business plan is required to use this feature.
Compare plansDiscover website-serving subdomains for a domain so you can expand account research, map a company's web footprint, or uncover product, region, and support properties.
Results come from our dataset of millions of active websites and mainly
include subdomains that serve website content. Some subdomains may be
missing or no longer resolve. Use this API for discovery and research,
not as a comprehensive DNS inventory.
GET https://api.wappalyzer.com/v2/subdomains/
| Property | Description |
|---|---|
| Execution | Synchronous |
| Request timeout | 10 seconds |
| Rate limit | 10 requests per second |
| Pricing | 1 credit per 10 subdomains |
| Name | Description |
|---|---|
domains (required) |
Between one and ten domain names, comma separated. Example: example.com,example.org.
|
limit |
The maximum number of results to return. Must be a multiple of
10.
Example: 100.
|
after |
Get the next page of results by passing the value of
moreAfter from a previous response. Example: shop.example.com.
|
The response returns one object per requested domain so you can page through discovery results domain by domain.
| Name | Description |
|---|---|
domain | The requested domain name. |
subdomains | List of subdomains found for the domain. |
moreAfter |
Indicates that more results are available. To get the next page
of results, set this value as the after parameter
in a subsequent query.
|
Request
curl -H "x-api-key: <your api key>" "https://api.wappalyzer.com/v2/subdomains/?domains=example.com"
Response
[ { "domain": "example.com", "subdomains": { "status.example.com": { "createdAt": 1670285563, "updatedAt": 1675604779 }, ... "shop.example.com": { "createdAt": 1670285563, "updatedAt": 1675604779 } }, "moreAfter": "shop.example.com" } ]